//backup input name
var JSbackupNameFlag = false;
var JSbackupName = "";


//backup select source
var JSbackupSelectSourceFlag = false;

//backup select save
var JSbackupSelectSaveFlag = false;
var JSbackupSelectSavePath = "";
var JSbackupIsCDRom = 0;

//backup set
var JSbackupSetFlag = false;
var JSbackupSetCopress = 1;
var JSbackupSetEnablePassword = false;
var JSbackupSetPassword = "";
var JSbackupSetSplit = 0;
var JSbackupSetCheck = false;
var JSbackupSetDesription = "";

//backup confirm
function StartNewBackup() {
	JSbackupNameFlag = false;
	JSbackupSelectSourceFlag = false;
	JSbackupSelectSaveFlag = false;
	JSbackupSetFlag = false;
}

var mA = false;

function   DE() {
var statusXml=(RitForAsp.RitReadTactic(0));
var xmlDoc = new ActiveXObject("Microsoft.xmldom");
xmlDoc.loadXML(statusXml);
var isIBPEnabled = xmlDoc.selectSingleNode("/General/EnableRit").text;
if(isIBPEnabled==1)	{
xmlDoc.selectSingleNode("/General/EnableRit").text=0;
var rst1=RitForAsp.RitSaveTactic(0,xmlDoc.xml);
if (rst1!=0){
DC3RIT_popMsg('',264,135,'ok',GS_Back("Setting_DisableIBP_failed_promote"),'alert');
return true;
}
try { parent.isIBPDisable=true;} catch(e){}
mA=true;
}

return false;

}
function   AE() {
var statusXml=(RitForAsp.RitReadTactic(0));
var xmlDoc = new ActiveXObject("Microsoft.xmldom");
xmlDoc.loadXML(statusXml);
var isIBPEnabled = xmlDoc.selectSingleNode("/General/EnableRit").text;
if(isIBPEnabled!=1)	{
xmlDoc.selectSingleNode("/General/EnableRit").text=1;
var rst1=RitForAsp.RitSaveTactic(0,xmlDoc.xml);
if (rst1!=0){
DC3RIT_popMsg('',264,135,'ok',GS_Back("Setting_EnableIBP_failed_promote"),'alert');
return true;
}
else {
	DC3RIT_popMsg('',264,135,'ok',GS_Back("Setting_EnableIBP_success_promote"),'info');
}
try { parent.isIBPDisable=false;} catch(e){}
mA=false;
}
return false;
}